Skip to main content

Update 110.0.23 perl update errors

Comments

34 comments

  • Macs R We

    Also experiencing. Adding comment to be notified of resolution.

    0
  • cPRex Jurassic Moderator

    Trademark - are you running the extended support option for CloudLinux?  Can you let me know specifically what is triggering this error?  Is it part of the nightly update or was some other action causing that to happen?

    0
  • Macs R We

    I won't answer "for" trademark, but in my case I received a maintenance email from the host a couple nights previously, telling me some core part of the system had been automatically updated and I should perform a reboot (sorry, the message is no longer available; such messages are routine and so not preserved); then last night, received a maintenance email from the host containing precisely these same error messages. My own host runs CentOS v7.9.2009 STANDARD kvm with cPanel Version 110.0.23.

    0
  • cPRex Jurassic Moderator

    I wonder if they sent a customized message - at least on our end, this message wouldn't come with a reboot notification.

    0
  • Macs R We

    I don't have the message I received on the 19th or 20th, when I see there was a cPanel update, but I do have an old message saved which I believe contains the same wording as the one I received earlier this week.

    0
  • Trademark

    Trademark - are you running the extended support option for CloudLinux?  Can you let me know specifically what is triggering this error?  Is it part of the nightly update or was some other action causing that to happen?

    The error happens during the routine nightly update-packages ever since the 110.0.23 update.

    This is the most detailed output I can provide:

    Resolving Dependencies
    Running transaction check
    Package cpanel-sitejet-plugin.noarch 0:1.1.0-20.21.1.cpanel will be updated
    Package cpanel-sitejet-plugin.noarch 0:1.1.0-21.23.1.cpanel will be an update
    Package perl-Net-LibIDN.x86_64 0:0.12-3.el6 will be updated
    Package perl-Net-LibIDN.x86_64 0:0.12-39.el9 will be an update
    Processing Dependency: perl(:VERSION) >= 5.6.0 for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    Processing Dependency: perl(:MODULE_COMPAT_5.32.1) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    Processing Dependency: libidn.so.12(LIBIDN_1.0)(64bit) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    Processing Dependency: libperl.so.5.32()(64bit) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    Processing Dependency: libidn.so.12()(64bit) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    Finished Dependency Resolution
     Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
                Requires: libidn.so.12(LIBIDN_1.0)(64bit)
     Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
                Requires: libperl.so.5.32()(64bit)
     Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
                Requires: perl(:VERSION) >= 5.6.0
     Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
                Requires: perl(:MODULE_COMPAT_5.32.1)
     Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
                Requires: libidn.so.12()(64bit)
      You could try using --skip-broken to work around the problem
      You could try running: rpm -Va --nofiles --nodigest
     (XID 4fgrz5) “/usr/bin/yum” reported error code “1” when it ended: 
     The “/usr/local/cpanel/scripts/update-packages” command (process 11841) reported error number 1 when it ended.
       The Administrator will be notified to review this output when this script completes
        - Finished command `/usr/local/cpanel/scripts/update-packages` in 29.539 seconds
    0
  • Ben P

    So the email notification I am receiving starts with:

    The cPanel & WHM update process failed for the following reason: 

    Maintenance ended; however, it did not exit cleanly (256). The following events were logged: “scripts/update-packages”. Review the update logs to determine why the update failed.

    You can replicate the error by performing a kernel update or package update from WHM to generate Trademark's error message.

    My server is current CentOS based and is generating the same perl update error

     

    0
  • cPRex Jurassic Moderator

    Well, you all can decide if it's good news or bad news, but I don't have any reports outside of this thread.  Could one of you submit a ticket so we can see this in action?

    0
  • R. Daros

    It's happening to me too.

    On 02/16, I received an email from the Security Advisor with the image below.

    On Tuesday, 02/20, after the nightly update, I received an email stating that the update had failed.

    Manually running the update, the response is as follows.

    Resolving Dependencies
    --> Running transaction check
    ---> Package perl-Net-LibIDN.x86_64 0:0.12-15.el7 will be updated
    ---> Package perl-Net-LibIDN.x86_64 0:0.12-39.el9 will be an update
    --> Processing Dependency: perl(:MODULE_COMPAT_5.32.1) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    --> Processing Dependency: libidn.so.12(LIBIDN_1.0)(64bit) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    --> Processing Dependency: libperl.so.5.32()(64bit) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    --> Processing Dependency: libidn.so.12()(64bit) for package: perl-Net-LibIDN-0.12-39.el9.x86_64
    --> Finished Dependency Resolution
    Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
               Requires: libidn.so.12(LIBIDN_1.0)(64bit)
    Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
               Requires: libperl.so.5.32()(64bit)
    Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
               Requires: libidn.so.12()(64bit)
    Error: Package: perl-Net-LibIDN-0.12-39.el9.x86_64 (ul)
               Requires: perl(:MODULE_COMPAT_5.32.1)
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest

    My server is running CentOS v7.9.2009 and cPanel version 110.0.23

     

    0
  • cPanelPeter cPanel Staff

    Hello, 

    Could someone provide the contents of the following file?

    cat /var/cpanel/rpm.versions.d/local.versions

     

    0
  • R. Daros

    Hello, here's the content.

    ---
    file_format:
      version: 2
    target_settings:
      perl526: uninstalled
      perl528: uninstalled
      perl530: uninstalled
      perl532: uninstalled
    0
  • Trademark

    Here is my output.

    # cat /var/cpanel/rpm.versions.d/local.versions
    ---
    file_format:
      version: 2
    install_targets: {}

    rpm_locations: {}

    srpm_sub_packages: {}

    srpm_versions: {}

    target_settings:
      munin: installed
      perl522: uninstalled
      perl524: uninstalled
      perl526: uninstalled
      perl528: uninstalled
      perl530: uninstalled
      perl532: uninstalled
      webalizer: uninstalled
    url_templates: {}
    0
  • Macs R We

    With the exception that the "perl526" line is not present, mine is absolutely identical to R. Daros'.

    0
  • Ben P

    cat /var/cpanel/rpm.versions.d/local.versions
    ---
    file_format:
      version: 2
    target_settings:
      perl528: uninstalled
      perl530: uninstalled
      perl532: uninstalled

    0
  • cPRex Jurassic Moderator

    I'm looking into this now and I'll post an update once I have one!

    0
  • Andy Baugh cPanel Staff

    There are a few strange things going on here which I haven't been able to put together all the pieces on, especially since I can't replicate this issue on my end.

    First, what exactly could be requiring an update of perl-Net-LibIDN? Certainly nothing in the other updated package (cpanel-sitejet-plugin) seems to require this. The output of `rpm -q --whatrequires perl-Net-LibIDN` may be of interest to this thread.

    Second, why exactly is the update jumping from a el7/el6 version of this package to an *el9* version? Is there something going on in /etc/yum.repos.d that we need to know about here?

    At this point I would normally advise filing a ticket with our support department to investigate just what exactly is going on with the servers experiencing this issue, so maybe that's the right move.

    0
  • Macs R We

    rpm -q --whatrequires perl-Net-LibIDN

    cpanel_addon_WPC-1.4-7.noarch

    I'll submit a ticket if no one else will, but I don't know squat about working tickets here. Anyone else up for it?

    0
  • cPRex Jurassic Moderator

    Macs-R-We - instead of "whatrequires" can you do that with --whatprovides?  This isn't a package that is distributed by cPanel, but we'd still like to know more about this conflict.

    0
  • Ben P

    I've got the same results as Macs R We to the rpm query...

    rpm -q --whatrequires perl-Net-LibIDN

    cpanel_addon_WPC-1.4-7.noarch

    0
  • Macs R We

    rpm -q --whatprovides perl-Net-LibIDN

    perl-Net-LibIDN-0.12-15.el7.x86_64

    0
  • Ben P

    Here is the whatprovides query result...

    rpm -q --whatprovides perl-Net-LibIDN

    perl-Net-LibIDN-0.12-15.el7.x86_64

    0
  • cPRex Jurassic Moderator

    How about this instead:

    yum whatprovides perl-Net-LibIDN

    as that will show the repo this is coming from, which will get us our answer.

    0
  • Ben P

    yum whatprovides perl-Net-LibIDN

    Loaded plugins: fastestmirror, langpacks, universal-hooks
    Loading mirror speeds from cached hostfile
     * EA4: 208.74.123.61
     * cpanel-addons-production-feed: 208.74.123.61
     * cpanel-plugins: 208.74.123.61
    perl-Net-LibIDN-0.12-15.el7.x86_64 : Perl bindings for GNU LibIDN
    Repo        : base

     

    perl-Net-LibIDN-0.12-15.el7.x86_64 : Perl bindings for GNU LibIDN
    Repo        : @base

    0
  • Macs R We

    yum whatprovides perl-Net-LibIDN

    Loaded plugins: fastestmirror, langpacks, universal-hooks

    Loading mirror speeds from cached hostfile

     * EA4: 63.247.64.58

     * cpanel-addons-production-feed: 63.247.64.58

     * cpanel-plugins: 63.247.64.58

    perl-Net-LibIDN-0.12-15.el7.x86_64 : Perl bindings for GNU LibIDN

    Repo        : base

     

    perl-Net-LibIDN-0.12-15.el7.x86_64 : Perl bindings for GNU LibIDN

    Repo        : @base

     

    0
  • cPRex Jurassic Moderator

    What about for cpanel_addon_WPC-1.4-7 ?

    0
  • Ben P

    yum whatprovides cpanel_addon_WPC

    Loaded plugins: fastestmirror, langpacks, universal-hooks
    Loading mirror speeds from cached hostfile
     * EA4: 208.74.123.61
     * cpanel-addons-production-feed: 208.74.123.61
     * cpanel-plugins: 208.74.123.61
    cpanel_addon_WPC-1.0-1.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-2.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-3.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-4.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-5.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-6.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-7.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-8.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-9.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.1-10.el6.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.4-4.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.4-5.noarch : WPC cPanel addon
    Repo        : ul

     

    cpanel_addon_WPC-1.4-5.noarch : WPC cPanel addon
    Repo        : ul_bluehost

     

    cpanel_addon_WPC-1.4-7.noarch : WPC cPanel addon
    Repo        : ul

     

    cpanel_addon_WPC-1.4-7.noarch : WPC cPanel addon
    Repo        : @ul

    0
  • Macs R We

    yum whatprovides cpanel_addon_WPC-1.4-7

    Loaded plugins: fastestmirror, langpacks, universal-hooks

    Loading mirror speeds from cached hostfile

     * EA4: 63.247.64.58

     * cpanel-addons-production-feed: 63.247.64.58

     * cpanel-plugins: 63.247.64.58

    epel/7/x86_64/filelists_db                                                                                                                         |  12 MB  00:00:01     

    ul/filelists_db                                                                                                                                    |  45 kB  00:00:00     

    No matches found

     

    0
  • cPRex Jurassic Moderator

    So there we go - this is a custom package in the UL repository provided by Bluehost.  There won't be anything we can do on our side to fix this one, so you'll need to reach out to your hosting provider(s) for more details on this and have them resolve that.

    0
  • Ben P

    If I just query for the specific version of the package...

    yum whatprovides cpanel_addon_WPC-1.4-7

    Loaded plugins: fastestmirror, langpacks, universal-hooks
    Loading mirror speeds from cached hostfile
     * EA4: 208.74.123.61
     * cpanel-addons-production-feed: 208.74.123.61
     * cpanel-plugins: 208.74.123.61
    No matches found

    0
  • Macs R We

    Someone asked for the previous query truncated at "WPC", but that posting seems to have been erased. Meanwhile, I did it, and found many replies referencing a custom configuration from my hosting provider (ul_justhost):

    yum whatprovides cpanel_addon_WPC

    Loaded plugins: fastestmirror, langpacks, universal-hooks

    Loading mirror speeds from cached hostfile

     * EA4: 63.247.64.58

     * cpanel-addons-production-feed: 63.247.64.58

     * cpanel-plugins: 63.247.64.58

    cpanel_addon_WPC-1.1-4.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.1-5.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.1-6.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.1-7.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.1-8.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.1-9.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.1-10.el6.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.4-4.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.4-5.noarch : WPC cPanel addon

    Repo        : ul

     

     

     

    cpanel_addon_WPC-1.4-5.noarch : WPC cPanel addon

    Repo        : ul_justhost

     

     

     

    cpanel_addon_WPC-1.4-7.noarch : WPC cPanel addon

    Repo        : ul

     

     

     

    cpanel_addon_WPC-1.4-7.noarch : WPC cPanel addon

    Repo        : @ul

     

     

     

    0

Please sign in to leave a comment.